Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4606 - crontab updating erratically
Summary: crontab updating erratically
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: crontabs
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-19 03:52 UTC by pcwizard
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2001-04-10 22:03:08 UTC


Attachments (Terms of Use)

Description pcwizard 1999-08-19 03:52:07 UTC
I have been having a pig of a problem with crontab updating
on a regular basis.  I use a perl script to update my
dynamic IP to a DNS service and it has been setup to update
hourly.  Only problem is that more often than not it does
not update... around 3 out of four times it doesn't, but
that 1 time in four it does... drives me crazy.
Here is the entry I am using in my crontab.
* 0-23 * * * (cd /usr/bin ; ./gdipc.pl )
here is the complete crontab listing:
SHELL=/bin/bash
PATH=/sbin:/bin:/usr/sbin:/usr/bin
MAILTO=root
HOME=/

# run-parts
01 * * * * root run-parts /etc/cron.hourly
02 4 * * * root run-parts /etc/cron.daily
22 4 * * 0 root run-parts /etc/cron.weekly
42 4 1 * * root run-parts /etc/cron.monthly
#0
1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23
* * * root
/usr/bin/gdipc.pl
* 0-23 * * * (cd /usr/bin ; ./gdipc.pl )
The commented out line was an earlier attempt that refused
to work at all... the perl script kept reporting an error
indicating the loss of a configuration file.  The line at
the bottom is the one that replaced it, the error went away,
but updates don't occur on a regular basis.

Comment 1 Bill Nottingham 1999-08-21 20:19:59 UTC
Um, are you sure you want that to run once a *minute*?

Comment 2 Jeff Johnson 1999-08-27 17:51:59 UTC
Perhaps you have apmd running and active. Powering down would
stop the updates. Otherwise, I know of no problems in using cron.


Note You need to log in before you can comment on or make changes to this bug.